aboutsummaryrefslogtreecommitdiffstats
path: root/main/ircii/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-12-21 18:16:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-03-03 13:03:39 +0000
commit5130664779ff3a183c4aafa401b63ca4d1b83848 (patch)
tree2226612debd14792b573093cfe4c38b820267477 /main/ircii/APKBUILD
parent4b4338fca6a1cbd5b492f11e236c18c43e2b07bd (diff)
downloadaports-5130664779ff3a183c4aafa401b63ca4d1b83848.tar.gz
aports-5130664779ff3a183c4aafa401b63ca4d1b83848.tar.bz2
aports-5130664779ff3a183c4aafa401b63ca4d1b83848.tar.xz
main/ircii: specify license
Diffstat (limited to 'main/ircii/APKBUILD')
-rw-r--r--main/ircii/APKBUILD17
1 files changed, 10 insertions, 7 deletions
diff --git a/main/ircii/APKBUILD b/main/ircii/APKBUILD
index a18f48408a..4fea92453a 100644
--- a/main/ircii/APKBUILD
+++ b/main/ircii/APKBUILD
@@ -2,20 +2,21 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ircii
pkgver=20111115
-pkgrel=0
+pkgrel=1
pkgdesc="Universal IRC for Unix systems"
url="http://www.eterna.com.au/ircii/"
arch="all"
-license="GPL"
-depends=
+license="BSD"
+depends=""
makedepends="ncurses-dev"
-install=
+install=""
subpackages="$pkgname-doc"
source="http://dev.alpinelinux.org/archive/ircii/ircii-$pkgver.tar.bz2"
#source="ftp://ircii.warped.com/pub/ircII/ircii-$pkgver.tar.bz2"
+_builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -29,8 +30,10 @@ build() {
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
- make -j1 DESTDIR="$pkgdir" install
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
}
md5sums="402b3badc21a7394d9c84d15a1ddb6c5 ircii-20111115.tar.bz2"
+sha256sums="5c6b4390b8ed04cf3b08a3ba72f41eba9b125d0fc09c637f7c7f81eb6bdd91e6 ircii-20111115.tar.bz2"
+sha512sums="6f282debbd27865414a2ef9148b23373f83a051b2917432d9fdc2f153c111f8e592286d42a5ad34fd0cdc155e39938094e140910fbf38be494e3ed3da4cd0b6e ircii-20111115.tar.bz2"